package com.zswl.cloud.springBtach.server.core.api.paotui.model.request;

import com.zswl.cloud.springBtach.server.core.api.paotui.model.Base;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class DeliveryCpriceRequest extends Base {

    private String logistic; // 指派模式3: 平台，多个示例: dada, uupt
    private String receiverLongitude; // 收件人经度
    private String receiverLatitude; // 收件人纬度
    private String receiverAddress; // 收件人地址
    private String receiverName; // 收件人姓名 (非必传)
    private String receiverPhone; // 收件人手机号 (非必传)
    private String senderLongitude; // 发件人经度
    private String senderLatitude; // 发件人纬度
    private String senderAddress; // 发件人地址
    private int city; // 城市编码
    private String senderName; // 发件人姓名 (非必传)
    private String senderPhone; // 发件人手机号 (非必传)
    private Integer goodsValue; // 物品价格 [单位：分] (非必传)
    private int goodsWeight; // 物品重量 [单位：kg]
    private int goodsCategory; // 物品类型
    private Integer deliveryTime; // 期望送达时间（秒级时间戳）(非必传)
    private int mapType; // 坐标类型 (1: 高德, 2: 百度)
    private Boolean needReturnError; // 是否包含配送方计价失败信息 (非必传)

}