package com.zswl.cloud.springBtach.server.core.api.paotui.model.request;

import lombok.Data;

@Data
public class RiderInfoResponse {
    /**
     * 状态码，1 表示成功
     */
    private int code;

    /**
     * 消息说明
     */
    private String message;

    /**
     * 数据集
     */
    private RiderInfoData data;

    @Data
    public static class RiderInfoData {
        /**
         * 你方订单号
         */
        private String originId;

        /**
         * 我方订单号
         */
        private String orderId;

        /**
         * 订单状态
         */
        private int orderStatus;

        /**
         * 骑手 ID
         */
        private long riderId;

        /**
         * 配送员姓名
         */
        private String riderName;

        /**
         * 配送员手机号
         */
        private String riderPhone;

        /**
         * 坐标类型
         */
        private int mapType;

        /**
         * 配送员经度
         */
        private String riderLongitude;

        /**
         * 配送员纬度
         */
        private String riderLatitude;

        /**
         * 更新时间
         */
        private int uploadTime;
    }
}
