package com.zswl.cloud.springBtach.server.core.api.paotui.model.response;

import lombok.Data;

import java.util.List;

@Data
public class OrderStatusResponse {


    /**
     * 贵方订单号
     */
    private String originId;

    /**
     * 我方订单号
     */
    private String orderId;

    /**
     * 配送单号
     */
    private String deliveryId;

    /**
     * 状态列表
     */
    private List<OrderInfo> info;

    @Data
    public static class OrderInfo {
        private int status;
        private String statusDesc;
        private String logistic;
        private long riderId;
        private String riderName;
        private String riderPhone;
        private int mapType;
        private String riderLatitude;
        private String riderLongitude;
        private double cancelAmount;
        private String cancelCode;
        private double deliveryAmount;
        private String content;
        private long ctime;
    }
}
