package com.zswl.cloud.springBtach.server.core.api.paotui.model.response;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class OrderTipResponse {


    private String originId;             // 第三方订单 ID
    private List<DispatchDetail> data;   // 调度数据集


    @Data
    @AllArgsConstructor
    @NoArgsConstructor
    public static class DispatchDetail {
        private String logistic;     // 配送平台
        private int status;          // 状态：1 成功，0 失败
        private String errMsg;       // 错误原因
        private float tipAmount;     // 当前已加小费金额（单位：元）
    }


}
